TEMPLATE=app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt

SOURCES= \
 global.c \
 ctest2.c

HEADERS= \
 global.h \
 ctest2.h


############################
# Для параметров линковки библиотек
DEFINES += ENABLE_LINKING_FROM_SOURCES

CONFIG += NO_LIBRARIES_FOUND

############################
## подключение библиотеки, при наличии
exists(../ExtA429Library) {
    CONFIG -= NO_LIBRARIES_FOUND
    DEFINES += HAS_EXTA429_LIBRARY
    INCLUDEPATH += ../ExtA429Library

    win32: LIBS += -lws2_32

SOURCES += \
    ../ExtA429Library/a429ext_eth_ioctl.c \
    ../ExtA429Library/a429ext_library.c

HEADERS += \
    ../ExtA429Library/a429_cmd.h \
    ../ExtA429Library/a429ext_library.h \
    ../ExtA429Library/a429_regs.h \
    ../ExtA429Library/a429_common.h \
    ../ExtA429Library/a429ext_eth_ioctl.h \
    ../ExtA429Library/a429ext_meu_proto.h
}

############################
## подключение библиотеки, при наличии
exists(../A429LinuxLibrary) {
    CONFIG -= NO_LIBRARIES_FOUND
    DEFINES += HAS_A429_LIBRARY

    INCLUDEPATH += ../A429LinuxLibrary
    HEADERS += \
        ../A429LinuxLibrary/a429_cmd.h \
        ../A429LinuxLibrary/a429_library.h \
        ../A429LinuxLibrary/a429_regs.h \
        ../A429LinuxLibrary/a429_common.h

    SOURCES += \
        ../A429LinuxLibrary/a429_library.c
}
############################

NO_LIBRARIES_FOUND {
error("Not found $$system_path($$clean_path($$_PRO_FILE_PWD_/../)/A429LinuxLibrary) and/or $$system_path($$clean_path($$_PRO_FILE_PWD_/../)/ExtA429Library)")
}
